# Evaluating the Influence of Disease-Gene Associations in the Significance of Disease Modules through the lens of Network Medicine
This repository contains the data and code generated for the conference paper 'Evaluating the Influence of Disease-Gene Associations in the Significance of Disease Modules through the lens of Network Medicine' by Antonio Gil Hoed, Lucía Prieto Santamaría and Alejandro Rodríguez González submitted at IEEE CBMS 2025.
The main objective of this study is to identify which seed disease genes should be included, and which parameters contribute to the significance of the disease module.

The Gene-Disease association (GDA) score is obtained from DisGeNET, and it is calculated, as explained in: [GDA score calculation](GDA_score_calculation.pdf)

Below, the graphical abstract of the methodology employed in this research.

![](Figure_summary.svg)


# Repositories

## Data
Files containing the Protein-Protein Interactions, the Gene-Protein relationships and the Disease-Gene associations. These data was previously gathered from the platform of the DISNET project.

## Analysis
Jupyter Notebooks employed in this study to create the disease modules filtering by GDA score.

## Figures
Jupyter Notebooks employed in this study to create the figures analysing the obtained disease modules.